#
# spec file for package python-queuelib
#
# Copyright (c) 2019 SUSE LLC.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-queuelib
Version:        1.5.0
Release:        bp156.3.1
Summary:        Collection of Persistent (Disk-Based) Queues
License:        BSD-2-Clause
URL:            https://github.com/scrapy/queuelib
Source:         https://files.pythonhosted.org/packages/source/q/queuelib/queuelib-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{pythons}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Queuelib is a collection of persistent (disk-based) queues for Python.

Queuelib goals are speed and simplicity. It was originally part of the
`Scrapy framework`_ and stripped out on its own library.

%prep
%setup -q -n queuelib-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%doc README.rst NEWS
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Nov 15 2019 Ondřej Súkup <mimi.vx@gmail.com>
- fix requires
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri Nov 16 2018 Todd R <toddrme2178@gmail.com>
- Update to version 1.5.0
  * rename Queue -> RRQueue
  * start_keys -> start_domains
  * Remove print
* Thu Dec 21 2017 mpluskal@suse.com
- Update to version 1.4.2:
  * No upstream changelog available
- Convert to singlespec
* Sun Feb  9 2014 toms@opensuse.org
- Initial version 1.1.1
